Bug 111673 - [CI][RESUME] igt@gem_wait@(wait-bcs0|basic-wait-write-all) - fail - Failed assertion: __gem_wait(fd, &wait) == 0, Last errno: 62, Timer expired
Summary: [CI][RESUME] igt@gem_wait@(wait-bcs0|basic-wait-write-all) - fail - Failed as...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-12 10:54 UTC by Martin Peres
Modified: 2019-10-16 11:46 UTC (History)
1 user (show)

See Also:
i915 platform: TGL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-09-12 10:54:21 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_wait@wait-bcs0.html

Starting subtest: wait-bcs0
(gem_wait:1385) CRITICAL: Test assertion failure function basic, file ../tests/i915/gem_wait.c:117:
(gem_wait:1385) CRITICAL: Failed assertion: __gem_wait(fd, &wait) == 0
(gem_wait:1385) CRITICAL: Last errno: 62, Timer expired
(gem_wait:1385) CRITICAL: error: -62 != 0
Comment 1 CI Bug Log 2019-09-12 10:54:50 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@gem_wait@(wait-bcs0|basic-wait-write-all) - fail - Failed assertion: __gem_wait(fd, &wait) == 0, Last errno: 62, Timer expired
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_wait@basic-wait-write-all.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_wait@wait-bcs0.html
Comment 2 CI Bug Log 2019-09-23 12:32:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: igt@gem_wait@(wait-bcs0|basic-wait-write-all) - fail - Failed assertion: __gem_wait(fd, &wait) == 0, Last errno: 62, Timer expired -}
{+ BYT TGL: igt@gem_wait@(wait-bcs0|basic-wait-write-all) - fail - Failed assertion: __gem_wait(fd, &wait) == 0, Last errno: 62, Timer expired +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-byt-n2820/igt@gem_wait@wait-bcs0.html
Comment 3 Chris Wilson 2019-09-23 12:36:30 UTC
Considering how unstable tgl is, let's not conflate different platforms into tgl bugs. Here we have an unexpected GPU hang on byt, which is vastly different from the widespread breakage we had on tgl.
Comment 4 Lakshmi 2019-09-24 07:35:16 UTC
(In reply to Chris Wilson from comment #3)
> Considering how unstable tgl is, let's not conflate different platforms into
> tgl bugs. Here we have an unexpected GPU hang on byt, which is vastly
> different from the widespread breakage we had on tgl.

OK. Bug 111798 is created for the failure on BYT.
Comment 5 Chris Wilson 2019-09-27 10:15:05 UTC
The tigerlake problem should be resolved... s/The/This/
Comment 6 Martin Peres 2019-10-16 11:46:11 UTC
(In reply to Chris Wilson from comment #5)
> The tigerlake problem should be resolved... s/The/This/

It has been seen twice on one run, then nothing for about 20 runs. I guess we can consider this fixed.
Comment 7 CI Bug Log 2019-10-16 11:46:17 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.